> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 按 URL 采集 Google SERP 100 条结果

> 使用 Bright Data Web Scraper API 按查询采集最多 100 条 Google 自然搜索结果。POST /datasets/v3/scrape 以 JSON 格式返回结果。

## 查询参数

<ParamField query="dataset_id" type="string" default="gd_mfz5x93lmsjjjylob" required>
  用于此请求的数据集 ID。

  <Warning>
    必须设置为 `gd_mfz5x93lmsjjjylob` 以采集**按 URL 的 Google SERP 100 条结果**数据。
  </Warning>
</ParamField>

<ParamField query="notify" type="boolean" default={false}>
  请求完成时是否发送通知。
</ParamField>

<ParamField query="include_errors" type="boolean" default={true}>
  是否在响应中包含错误。
</ParamField>

## 请求体

<ParamField body="input" type="object[]" required>
  输入对象的数组。

  <Expandable title="properties">
    <ParamField body="url" type="string" required>
      要采集的 Google 搜索 URL。
    </ParamField>

    <ParamField body="keyword" type="string">
      查询中使用的搜索关键词。
    </ParamField>

    <ParamField body="tbm" type="string">
      Google `tbm` 参数。留空表示网页结果，设置为 `isch` 表示图片，`nws` 表示新闻，依此类推。
    </ParamField>

    <ParamField body="language" type="string">
      语言代码（例如 `en`、`es`、`de`）。
    </ParamField>

    <ParamField body="uule" type="string">
      用于地理定位的 UULE 参数。
    </ParamField>

    <ParamField body="brd_mobile" type="string">
      设备定位。留空表示桌面端，设置为 `1` 表示移动端。
    </ParamField>

    <ParamField body="tbs" type="string">
      用于按时间筛选的 Google `tbs` 参数（例如 `qdr:d` 表示过去一天）。
    </ParamField>

    <ParamField body="nfpr" type="string">
      设置为 `1` 可禁用 Google 的自动更正。
    </ParamField>

    <ParamField body="index" type="string">
      结果索引或起始位置。
    </ParamField>
  </Expandable>

  #### 示例

  ```json wrap theme={null}
  {
    "input": [
      {
        "url": "https://www.google.com/search?q=best+coffee+nyc",
        "keyword": "best coffee nyc",
        "tbm": "",
        "language": "en",
        "uule": "",
        "brd_mobile": "",
        "tbs": "",
        "nfpr": "",
        "index": ""
      }
    ]
  }
  ```
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "keyword": "best coffee nyc",
      "results": [
        {
          "position": 1,
          "title": "The 38 Best Coffee Shops in NYC",
          "link": "https://example.com/best-coffee-nyc",
          "display_link": "example.com",
          "description": "Our picks for the top coffee shops in New York City."
        }
      ],
      "total_results": 100
    }
  ]
  ```
</ResponseExample>
